Author Topic: Java applications  (Read 236053 times)

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #405 on: July 25, 2023, 04:09:32 am »
Hello

Any idea how to run Abacus GUI Builder ?
https://ecsoft2.org/abacus-gui-builder

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Jan-Erik Lärka

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 275
  • Karma: +5/-0
    • View Profile
Re: Java applications
« Reply #406 on: July 25, 2023, 09:04:01 am »
Hello

Any idea how to run Abacus GUI Builder ?
https://ecsoft2.org/abacus-gui-builder

Regards
  • copy run.bat to run.cmd (or better yet, edit and save it as run.cmd)
  • edit the file and set path to OpenJDK such as "set DEFAULT_JAVA_HOME=D:\Programs\OpenJDK"
  • start run.cmd
« Last Edit: July 25, 2023, 10:17:06 am by Jan-Erik Lärka »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #407 on: July 29, 2023, 02:40:12 pm »
Hi Jan-Erik

Hello

Any idea how to run Abacus GUI Builder ?
https://ecsoft2.org/abacus-gui-builder

Regards
  • copy run.bat to run.cmd (or better yet, edit and save it as run.cmd)
  • edit the file and set path to OpenJDK such as "set DEFAULT_JAVA_HOME=D:\Programs\OpenJDK"
  • start run.cmd

Did it run on your side? It complains here I don't have \lib\tools.jar.
Maybe I need to install the SDK (OpenJDK_6_b27_SDK_GA5.zip), I will check on that.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #408 on: July 29, 2023, 02:45:02 pm »
Yes, it was that tools.zip was on the SDK.
It runs now.

Thanks.
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #409 on: July 29, 2023, 02:53:04 pm »
FYI: I also upload jCVS II to hobbes. I was able to find on archive.org
- https://hobbes.nmsu.edu/download/pub/incoming/jCVSII_5-4-2.zip
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #410 on: August 01, 2023, 01:23:53 pm »
Hi

I know it's old, but I just wanted to run it to try it out. HotJava Browser 3.0 seemed to run time ago.

Today I'm trying to run it with OpenJDK 1.6, but I only get the splash logo.
I'm trying:  java -cp browser.jar sunw.hotjava.Main

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #411 on: August 09, 2023, 07:50:18 pm »
Hello Again

Any idea if SmartCVS 7.1.7 (last reported on OS/2) will run with OpenJDK 1.6 ?
- http://www.rbri.org/data/uploads/downloads/smart/smartcvs-7_1_7.wpi
or an older one
- 7.1.4 - ftp://cyberia.dnsalias.com/pub/filebase/gfd/app/java/SMARTCVS.ZIP

I get that the Java version is not compatible, but I remember this "SmartSVN, SmartGit" had some option to remove that requirement.

Quote
[C:\HOME\DESKTOP\SMARTCVS\SMARTCVS-7_1_4\lib]java -jar smartcvs.jar
An incompatible Java version has been detected which has been reported to
cause strange bugs. Aborting now.

Please install the latest release of the SUN Java SE Runtime Environment (JRE)
from:
  http://java.sun.com/javase/downloads/
or if it is already installed, make sure it is used.

On SmartGit it was something like:
 java -Xmx512m -Dsun.awt.noerasebackground=true -Dsmartgit.checkIncompatibleJava=false -jar ..\LIB\smartgit.jar

But I'm not sure if there was one for SmartCVS and SmartSVN.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Jan-Erik Lärka

  • Global Moderator
  • Sr. Member
  • *****
  • Posts: 275
  • Karma: +5/-0
    • View Profile
Re: Java applications
« Reply #412 on: August 09, 2023, 08:53:26 pm »
Any idea if SmartCVS 7.1.7 (last reported on OS/2) will run with OpenJDK 1.6 ?

Downloadd it and started it with a double click on smartcvs.jar, no extra parameters required.
Ohhh, I've got my little script that set things up regarding finding and starting the java executable, but that is just about it.

-Xmx512m -Dsmartsvn.checkIncompatibleJava=false -jar "lib\smartsvn.jar"

-Xmx512m -Dsmartgit.checkIncompatibleJava=false -jar "lib\smartgit.jar"
« Last Edit: August 10, 2023, 07:17:46 am by Jan-Erik Lärka »

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #413 on: August 10, 2023, 07:33:23 pm »
Thanks

Any idea if SmartCVS 7.1.7 (last reported on OS/2) will run with OpenJDK 1.6 ?

Downloadd it and started it with a double click on smartcvs.jar, no extra parameters required.
Ohhh, I've got my little script that set things up regarding finding and starting the java executable, but that is just about it.

-Xmx512m -Dsmartsvn.checkIncompatibleJava=false -jar "lib\smartsvn.jar"

-Xmx512m -Dsmartgit.checkIncompatibleJava=false -jar "lib\smartgit.jar"

I had tested SmartSVN and runs. But I guess it is not the same for SmartCVS, I still can not make it run.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Neil Waldhauer

  • Hero Member
  • *****
  • Posts: 1017
  • Karma: +24/-0
    • View Profile
    • Blonde Guy
Re: Java applications
« Reply #414 on: August 12, 2023, 03:41:28 pm »
I can make SmartCVS run, but it won't do anything without a license. It used to work. I think they must have changed things on the server.

Code: [Select]
@echo off
rem OS/2 script for SmartCVS, requires JAVA installed

set JAVA_EXE=%1
set SMARTCVS_HOME=..
set SMARTCVS_LIB=%SMARTCVS_HOME%\lib
set SMARTCVS_MAIN_JAR=%SMARTCVS_LIB%\smartCVS.jar

%JAVA_EXE% -jar %SMARTCVS_MAIN_JAR% %2
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #415 on: August 12, 2023, 05:52:24 pm »
I can make SmartCVS run, but it won't do anything without a license. It used to work. I think they must have changed things on the server.

Code: [Select]
@echo off
rem OS/2 script for SmartCVS, requires JAVA installed

set JAVA_EXE=%1
set SMARTCVS_HOME=..
set SMARTCVS_LIB=%SMARTCVS_HOME%\lib
set SMARTCVS_MAIN_JAR=%SMARTCVS_LIB%\smartCVS.jar

%JAVA_EXE% -jar %SMARTCVS_MAIN_JAR% %2

Hi Neil
With your technique I confirm I can run SmarCVS with OpenJDK 1.6 (ArcaOS). Also, like you say, the free trial license server does not longer works so the only way to run it is having an old license file.

I think that with this I'm good with SmartCVS and SmartSVn that are archived in hobbes right now.

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #416 on: August 12, 2023, 06:53:36 pm »
Hi.

I want to test SmartGit. The last report I have is from SmartGit 3.0.4, but I can not find it.

I found 3.0.11 but I can not make it run - https://www.syntevo.com/downloads/smartgit/archive/smartgit-generic-3_0_11.tar.gz
I get an error:
Quote
[C:\HOME\DESKTOP\SMARTGIT-GENERIC-3_0_11.TAR\SMARTGIT-GENERIC-3_0_11\BIN]java -X
mx512m -Dsmartgit.checkIncompatibleJava=false -jar ..\lib\smartgit.jar
Failed to load Main-Class manifest attribute from
..\lib\smartgit.jar
also a more basic call.
Quote
C:\DESKTOP\smartgit\LIB]java -jar smartgit.jar
Failed to load Main-Class manifest attribute from
smartgit.jar]
[C:\DESKTOP\smartgit\LIB]java -jar smartgit.jar
Failed to load Main-Class manifest attribute from
smartgit.jar

And reading a little further I tried.
Quote
[C:\DESKTOP\smartgit\BIN]java -Xmx512m -Dsmartgit.checkIncompatibleJava=false Dm
ain-class=SmartGit -jar ..\lib\bootloader.jar
java.lang.NoClassDefFoundError: Dmain-class=SmartGit
Caused by: java.lang.ClassNotFoundException: Dmain-class=SmartGit
        at java.net.URLClassLoader$1.run(URLClassLoader.java:217)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: Dmain-class=SmartGit. Program will exit.


Any ideas what I may be doing wrong? Or 3.0.11 is simple not going to work?

Regards
« Last Edit: August 12, 2023, 06:59:15 pm by Martin Iturbide »
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Gregg Young

  • Jr. Member
  • **
  • Posts: 72
  • Karma: +0/-0
    • View Profile
Re: Java applications
« Reply #417 on: August 12, 2023, 08:36:56 pm »
If I remember correctly 2.0.7 was the last SmartGit that worked with our java. Version 3 changed the front end that was used to one we don't have. Version 2.1.8 opens but I haven't been able to get passed the git version check. Our version is newer than the minimum required but the check still fails.

Dave Yeo

  • Hero Member
  • *****
  • Posts: 4752
  • Karma: +96/-1
    • View Profile
Re: Java applications
« Reply #418 on: August 13, 2023, 01:21:01 am »
I was running smartgit-2.8.1 using this cmd,
Code: [Select]
set PATH=f:\openjdk6\bin;%PATH%
set LIBPATHSTRICT=T
set BEGINLIBPATH=f:\openjdk6\bin
set CLASSPATH=
rem set JAVA_HOME=f:\openjdk6
set SWING_HOME=
set MAXIMUM_HEAP_SIZE=512m
java -XX:-UseSSE42Intrinsics -Xmx512m -Dsmartgit.checkIncompatibleJava=false -Dmain-class=SmartGit -jar f:\utils\smartgit-2_1_8\lib\smartgit.jar

Git never worked for pushing and pulling, otherwise worked fine.
Today it silently exits, maybe memory or maybe due to having updated git

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 4658
  • Karma: +41/-1
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Java applications
« Reply #419 on: August 13, 2023, 02:45:58 am »
Hi.

SmartGit 2.1.8 is working here under ArcaOS 5.0.8 and OpenJDK 1.6.
"Working" means for the moment that the Java application runs, I was able to select the free non-commercial license, selected the location of C:\usr\bin\git.exe, I skipped the github connection and I cloned a repository from Github.
I was not able to push back a change to github, maybe the security things on Github changed with time and something may be missing on this old SmartGit.

I upload to hobbes today: https://hobbes.nmsu.edu/download/pub/incoming/SmartGit_2-1-8.zip

Regards
Martin Iturbide
OS2World NewsMaster
... just share the dream.